package com.vp.plugin.sample.nicknameplugin.actions;

import com.vp.plugin.*;
import com.vp.plugin.action.*;
import com.vp.plugin.model.*;

public class ListProjectNicknamesActionController implements VPActionController {
	
	public void performAction(VPAction aArg0) {
		
		// Getting Project's Nicknames
		IProject lProject = ApplicationManager.instance().getProjectManager().getProject();
		String[] lNicknames = lProject.getNicknames();
		int lCount = lNicknames == null ? 0 : lNicknames.length;
		if (lCount == 0) {
			ApplicationManager.instance().getViewManager().showMessage("No nickname is defined in project.");
		}
		else {
			StringBuffer lBuffer = new StringBuffer();
			for (int i = 0; i < lCount; i++) {
				if (i > 0) {
					lBuffer.append(", ");
				}
				lBuffer.append(lNicknames[i]);
			}
			ApplicationManager.instance().getViewManager().showMessage("The following nicknames are defined in project: " + lBuffer.toString());
			
		}
		
	}
	
	public void update(VPAction aArg0) {
	}
	
}
